Bug 71431 - TB NCHardwareList:288:save
TB NCHardwareList:288:save
Status: CLOSED DUPLICATE of bug 65073
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-08-13 12:14 EDT by Andrew Short
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-08 11:12:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A copy of /etc/modules.conf (277 bytes, text/plain)
2002-08-14 08:33 EDT, Andrew Short
no flags Details

  None (edit)
Description Andrew Short 2002-08-13 12:14:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:

I have installed ReHAT 7.3 from CD-ROM, and so far have failed to make the 
ethernet card work.  It is a 3COM 3C900 Combo.
I have tried both the 3c59x and the 3c90x drivers - they seem to install OK.  
eth0 is displayed as "inactive".  When I try to "Activate" it I get a message 
that eth0 cannot be activated.  If I try and edit the configuration (IRQ, 
memory, I/O) with values that work in Windows 2000, these are rejected.  When I 
try to Apply changes, there is a message "An unhandled exception has occurred" 
with the text below and a reference to this reporting site.
I have not yet applied any Updates to RH7.3 - it is a bit difficult without a 
network connection.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(from memory - now networked in Windows)
1.Network connections
2.Activate 
Edit
Apply


Actual Results:  An unhandled exception, probably aq bug

Expected Results:  A working ethernet connection

Additional info:

[Error report]

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 84edc88>
hw: <netconfpkg.HardwareList.Hardware instance at 84ec778>
selfkey: IoPort
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8663590>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84f0508>
confkey: io
self: [<netconfpkg.HardwareList.Hardware instance at 84ec778>]
Comment 1 Harald Hoyer 2002-08-14 06:14:01 EDT
could you attach your /etc/modules.conf please?
Comment 2 Andrew Short 2002-08-14 08:33:53 EDT
Created attachment 70565 [details]
A copy of /etc/modules.conf
Comment 3 Harald Hoyer 2002-10-23 05:38:52 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 4 Harald Hoyer 2002-11-20 12:57:27 EST

*** This bug has been marked as a duplicate of 65073 ***

Note You need to log in before you can comment on or make changes to this bug.